Skip to main content
GET
Read one authorized profile metadata record without website authentication state

Authorizations

Authorization
string
header
required

Bearer JWT token or API Key (sk-*).

Path Parameters

browserProfileId
string
required

Response

200 - application/json
name
string
required
Maximum string length: 160
description
string
required
Maximum string length: 2000
users
string<uuid>[]
required
Maximum array length: 128
groups
string<uuid>[]
required
Maximum array length: 128
assignments
object[]
required
Maximum array length: 64
browserProfileId
string<uuid>
required
ownerUserId
string<uuid>
required
revision
number
required
Required range: x >= 0
policyRevision
number
required
Required range: x >= 1
savedAt
string<date-time> | null
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
busy
boolean
required
restricted
boolean
default:true

False allows active personal users in this instance to use the profile on assigned, independently authorized workspaces. Only the owner manages it.

browserSettings
object | null

Live Preview defaults for this profile. Null inherits workspace defaults. Explicit live controls apply to the current preview.